
<!DOCTYPE html>
{% load static %}
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
    <link rel="stylesheet" href="{% static 'css/style-lab5.css' %}">
    <title>My Notebook</title>
</head>

<body>
    <div class="jumbotron header">
        <h1 class="display-4">My Notebook</h1>
        <p class="lead">Where notebooks are kept</p>
    </div>

    {% include "note_modal.html" %}
    {% block modal %}
    {% endblock %}

    <div class="container">
        <div class="card">
            <div class="table-container container" id="table-container">
                <div class="table-head row">
                    <div class="col-lg-2">
                        <h5>From</h5>
                    </div>
                    <div class="col-lg-2">
                        <h5>To</h5>
                    </div>
                    <div class="col-lg-2">
                        <h5>Title</h5>
                    </div>
                    <div class="col-lg-4">
                        <h5>Message</h5>
                    </div>
                    <div class="col-lg-2">
                        <h5>Actions</h5>
                    </div>
                    <hr class="table-segment">
                </div>
            </div>
        </div>
    </div>

    <!--Script untuk mendapatkan data-data-->
    <script>
            $(document).ready(function() {
                $.ajax({
                    url: "/lab-2/json",
                    dataType: 'json',
                    success: function(result) {
                        $.each(result, function(i, note) {
                            var frm = note.fields.frm;
                            var to = note.fields.to;
                            var title = note.fields.title;
                            var message = note.fields.message;
                            var pk = note.pk;

                            var row = $('<div class="table-row row"></div>');

                            row.append(`
                                <div class="col-lg-2">
                                    <p>${frm}</p>
                                </div>
                                <div class="col-lg-2">
                                    <p>${to}</p>
                                </div>
                                <div class="col-lg-2">
                                    <p>${title}</p>
                                </div>
                                <div class="col-lg-4">
                                    <p>${message}</p>
                                </div>
                            `);

                            var button = $(`<button type="button" class="v-btn btn btn-secondary" id="v-${pk}">V</button>`);
                            button.on('click', function() {
                                var id = $(this).attr('id').slice(2);

                                $.ajax({
                                    url:`notes/${id}`,
                                    dataType: 'json',
                                    success: function(res) {
                                        res = res[0];
                                        $('#modal-title').html(res.fields.title);
                                        $('#modal-from').html(res.fields.frm);
                                        $('#modal-to').html(res.fields.to);
                                        $('#modal-message').html(res.fields.message);

                                        $('#exampleModalCenter').modal('toggle');
                                    }
                                })
                            })

                            row.append(button);

                        $("#table-container").append(row);
                        })
                    }
                })
            })  
    </script>


    <!--Script Implementasi view-->
        <script>
            $(document).ready(function() {
                $(".v-btn").click(function() {
                    var id = $(this).attr('id').slice(2);
                    console.log(id);
                });
                })
        </script>
</body>
</html>